<?php
function conectar() {
   session_start();
   //$enlace = mysql_connect("localhost","admin","System123");
   //$enlace = mysql_connect("localhost","usuarios",$_SESSION["user_bd"]);
   $enlace = mysql_connect("oscarc112.sg-host.com","uwjc2joknxymt","gma9rewyoo6h");
   if (!$enlace) {
      die("No pudo conectarse: " . mysql_error());
   }
   mysql_select_db("dbqytgrootsidiybgh");
}

function fechadma($fecha) {
   $midia = substr($fecha,8,2);
   $mimes = substr($fecha,5,2);
   $miani = substr($fecha,0,4);
   $fedma = $midia."-".$mimes."-".$miani;
   return $fedma;
}

function fechaamd($fecha) {
   $codia = substr($fecha,0,2);
   $comes = substr($fecha,3,2);
   $coani = substr($fecha,6,4);
   $feamd = $coani."-".$comes."-".$codia;
   return $feamd;
}

function diasem($datos) {
   $darec = trim($datos);
   switch ($darec) {
      case Sun:
         $diaes = "Domingo";
         break;
      case Mon:
         $diaes = "Lunes";
         break;
      case Tue:
         $diaes = "Martes";
         break;
      case Wed:
         $diaes = "Miercoles";
         break;
      case Thu:
         $diaes = "Jueves";
         break;
      case Fri:
         $diaes = "Viernes";
         break;
      case Sat:
         $diaes = "Sabado";
         break;
   }
   return $diaes;
}

function mimes($xmes) {
   $xmes = strval($xmes);
   switch ($xmes) {
      case 1:
         $litmes = "Enero";
         break;
      case 2:
         $litmes = "Febrero";
         break;
      case 3:
         $litmes = "Marzo";
         break;
      case 4:
         $litmes = "Abril";
         break;
      case 5:
         $litmes = "Mayo";
         break;
      case 6:
         $litmes = "Junio";
         break;
      case 7:
         $litmes = "Julio";
         break;
      case 8:
         $litmes = "Agosto";
         break;
      case 9:
         $litmes = "Septiembre";
         break;
      case 10:
         $litmes = "Octubre";
         break;
      case 11:
         $litmes = "Noviembre";
         break;
      case 12:
         $litmes = "Diciembre";
         break;
   }
   return $litmes;
}

function numlit($x) {
   if ($x<0) {
      $signo = "menos ";
   } else {
      $signo = "";
   }
   $x = abs ($x);
   $C1 = $x;
   $E4 = floor($x/(1000000000));
   $E5 = floor($x/(100000000));
   $G5 = $E5-$E4*10;   // 9
   $E6 = floor($x/(1000000));  // 8 y 7
   $G6 = $E6-$E5*100;
   $E7 = floor($x/(100000));
   $G7 = $E7-$E6*10;   // 6
   $E8 = floor($x/1000);
   $G8 = $E8-$E7*100;   // 5 y 4
   $E9 = floor($x/100);
   $G9 = $E9-$E8*10;  //  3
   $E10 = floor($x);
   $G10 = $E10-$E9*100;  // 2 y 1
   $G11 = round(($x-$E10)*100,0);  // Decimales
   if ($G5==1 AND $G6==0) {
      $H5 = "Cien ";
   } else {
      $H5 = decenas($G5);
   }
   $H6 = unidades($G6);
   if ($G7==1 AND $G8==0) {
      $H7 = "Cien ";
   } else {
      $H7 = decenas($G7);
   }
   $H8 = unidades($G8);
   if ($G9==1 AND $G10==0) {
      $H9 = "Cien ";
   } else {
      $H9 = decenas($G9);
   }
   $H10 = unidades($G10);
   if ($G11 < 10) {
      $H11 = "0".$G11;
   } else {
      $H11 = $G11;
   }
   if ($G5==0) {
      $I6=" ";
   } elseif ($G5==1) {
      $I6="Mill n ";
   } else {
      $I6="Millones ";
   }
   if ($G8==0 AND $G7==0) {
      $I8=" ";
   } else {
      $I8="Mil ";
   }
         
   $I10 = "Pesos ";
   $I11 = "/100";
   $C3 = $signo.$H5.$H6.$I6.$H7.$I7.$H8.$I8.$H9.$I9.$H10.$H11.$I11;
   $C3 = strtoupper($C3);
   return $C3; //Retorna el resultado
}

function unidades($u) {
   if ($u==0)  {$ru = " ";}
   elseif ($u==1)  {$ru = "Un ";}
   elseif ($u==2)  {$ru = "Dos ";}
   elseif ($u==3)  {$ru = "Tres ";}
   elseif ($u==4)  {$ru = "Cuatro ";}
   elseif ($u==5)  {$ru = "Cinco ";}
   elseif ($u==6)  {$ru = "Seis ";}
   elseif ($u==7)  {$ru = "Siete ";}
   elseif ($u==8)  {$ru = "Ocho ";}
   elseif ($u==9)  {$ru = "Nueve ";}
   elseif ($u==10) {$ru = "Diez ";}

   elseif ($u==11) {$ru = "Once ";}
   elseif ($u==12) {$ru = "Doce ";}
   elseif ($u==13) {$ru = "Trece ";}
   elseif ($u==14) {$ru = "Catorce ";}
   elseif ($u==15) {$ru = "Quince ";}
   elseif ($u==16) {$ru = "Dieciseis ";}
   elseif ($u==17) {$ru = "Decisiete ";}
   elseif ($u==18) {$ru = "Dieciocho ";}
   elseif ($u==19) {$ru = "Diecinueve ";}
   elseif ($u==20) {$ru = "Veinte ";}

   elseif ($u==21) {$ru = "Veintiun ";}
   elseif ($u==22) {$ru = "Veintidos ";}
   elseif ($u==23) {$ru = "Veintitres ";}
   elseif ($u==24) {$ru = "Veinticuatro ";}
   elseif ($u==25) {$ru = "Veinticinco ";}
   elseif ($u==26) {$ru = "Veintiseis ";}
   elseif ($u==27) {$ru = "Veintisiente ";}
   elseif ($u==28) {$ru = "Veintiocho ";}
   elseif ($u==29) {$ru = "Veintinueve ";}
   elseif ($u==30) {$ru = "Treinta ";}

   elseif ($u==31) {$ru = "Treinta y un ";}
   elseif ($u==32) {$ru = "Treinta y dos ";}
   elseif ($u==33) {$ru = "Treinta y tres ";}
   elseif ($u==34) {$ru = "Treinta y cuatro ";}
   elseif ($u==35) {$ru = "Treinta y cinco ";}
   elseif ($u==36) {$ru = "Treinta y seis ";}
   elseif ($u==37) {$ru = "Treinta y siete ";}
   elseif ($u==38) {$ru = "Treinta y ocho ";}
   elseif ($u==39) {$ru = "Treinta y nueve ";}
   elseif ($u==40) {$ru = "Cuarenta ";}

   elseif ($u==41) {$ru = "Cuarenta y un ";}
   elseif ($u==42) {$ru = "Cuarenta y dos ";}
   elseif ($u==43) {$ru = "Cuarenta y tres ";}
   elseif ($u==44) {$ru = "Cuarenta y cuatro ";}
   elseif ($u==45) {$ru = "Cuarenta y cinco ";}
   elseif ($u==46) {$ru = "Cuarenta y seis ";}
   elseif ($u==47) {$ru = "Cuarenta y siete ";}
   elseif ($u==48) {$ru = "Cuarenta y ocho ";}
   elseif ($u==49) {$ru = "Cuarenta y nueve ";}
   elseif ($u==50) {$ru = "Cincuenta ";}

   elseif ($u==51) {$ru = "Cincuenta y un ";}
   elseif ($u==52) {$ru = "Cincuenta y dos ";}
   elseif ($u==53) {$ru = "Cincuenta y tres ";}
   elseif ($u==54) {$ru = "Cincuenta y cuatro ";}
   elseif ($u==55) {$ru = "Cincuenta y cinco ";}
   elseif ($u==56) {$ru = "Cincuenta y seis ";}
   elseif ($u==57) {$ru = "Cincuenta y siete ";}
   elseif ($u==58) {$ru = "Cincuenta y ocho ";}
   elseif ($u==59) {$ru = "Cincuenta y nueve ";}
   elseif ($u==60) {$ru = "Sesenta ";}

   elseif ($u==61) {$ru = "Sesenta y un ";}
   elseif ($u==62) {$ru = "Sesenta y dos ";}
   elseif ($u==63) {$ru = "Sesenta y tres ";}
   elseif ($u==64) {$ru = "Sesenta y cuatro ";}
   elseif ($u==65) {$ru = "Sesenta y cinco ";}
   elseif ($u==66) {$ru = "Sesenta y seis ";}
   elseif ($u==67) {$ru = "Sesenta y siete ";}
   elseif ($u==68) {$ru = "Sesenta y ocho ";}
   elseif ($u==69) {$ru = "Sesenta y nueve ";}
   elseif ($u==70) {$ru = "Setenta ";}

   elseif ($u==71) {$ru = "Setenta y un ";}
   elseif ($u==72) {$ru = "Setenta y dos ";}
   elseif ($u==73) {$ru = "Setenta y tres ";}
   elseif ($u==74) {$ru = "Setenta y cuatro ";}
   elseif ($u==75) {$ru = "Setenta y cinco ";}
   elseif ($u==76) {$ru = "Setenta y seis ";}
   elseif ($u==77) {$ru = "Setenta y siete ";}
   elseif ($u==78) {$ru = "Setenta y ocho ";}
   elseif ($u==79) {$ru = "Setenta y nueve ";}
   elseif ($u==80) {$ru = "Ochenta ";}

   elseif ($u==81) {$ru = "Ochenta y un ";}
   elseif ($u==82) {$ru = "Ochenta y dos ";}
   elseif ($u==83) {$ru = "Ochenta y tres ";}
   elseif ($u==84) {$ru = "Ochenta y cuatro ";}
   elseif ($u==85) {$ru = "Ochenta y cinco ";}
   elseif ($u==86) {$ru = "Ochenta y seis ";}
   elseif ($u==87) {$ru = "Ochenta y siete ";}
   elseif ($u==88) {$ru = "Ochenta y ocho ";}
   elseif ($u==89) {$ru = "Ochenta y nueve ";}
   elseif ($u==90) {$ru = "Noventa ";}

   elseif ($u==91) {$ru = "Noventa y un ";}
   elseif ($u==92) {$ru = "Noventa y dos ";}
   elseif ($u==93) {$ru = "Noventa y tres ";}
   elseif ($u==94) {$ru = "Noventa y cuatro ";}
   elseif ($u==95) {$ru = "Noventa y cinco ";}
   elseif ($u==96) {$ru = "Noventa y seis ";}
   elseif ($u==97) {$ru = "Noventa y siete ";}
   elseif ($u==98) {$ru = "Noventa y ocho ";}
   else            {$ru = "Noventa y nueve ";}
   return $ru; //Retornar el resultado
}

function decenas($d) {
   if ($d==0)  {$rd = "";}
   elseif ($d==1)  {$rd = "Ciento ";}
   elseif ($d==2)  {$rd = "Doscientos ";}
   elseif ($d==3)  {$rd = "Trescientos ";}
   elseif ($d==4)  {$rd = "Cuatrocientos ";}
   elseif ($d==5)  {$rd = "Quinientos ";}
   elseif ($d==6)  {$rd = "Seiscientos ";}
   elseif ($d==7)  {$rd = "Setecientos ";}
   elseif ($d==8)  {$rd = "Ochocientos ";}
   else            {$rd = "Novecientos ";}
   return $rd; //Retornar el resultado
}

function f1000_clave($nombre){
   $nombre = trim($nombre);
   $clave  = 0;
   $i      = 1;
   while ($i <= strlen(trim($nombre))) {
      $x     = substr($nombre, $i-1, 1);
      $gval  = f1000_valor($x, $i * 321);
      $clave = ($clave + $gval);
      $i++;
   }
   return $clave;
}

function f1000_valor($c, $pos){
   switch ($c){
      case "A": $valor = 123; break;
      case "B": $valor = 29; break;
      case "C": $valor = 28; break;
      case "D": $valor = 27; break;
      case "E": $valor = 591; break;
      case "F": $valor = 25; break;
      case "G": $valor = 24; break;
      case "H": $valor = 23; break;
      case "I": $valor = 999; break;
      case "J": $valor = 21; break;
      case "K": $valor = 20; break;
      case "L": $valor = 19; break;
      case "M": $valor = 18; break;
      case "N": $valor = 17; break;
      case "O": $valor = 335; break;
      case "P": $valor = 15; break;
      case "Q": $valor = 14; break;
      case "R": $valor = 13; break;
      case "S": $valor = 12; break;
      case "T": $valor = 11; break;
      case "U": $valor = 113; break;
      case "V": $valor = 9; break;
      case "W": $valor = 8; break;
      case "X": $valor = 7; break;
      case "Y": $valor = 6; break;
      case "Z": $valor = 5; break;
      case "a": $valor = 12; break;
      case "b": $valor = 291; break;
      case "c": $valor = 82; break;
      case "d": $valor = 72; break;
      case "e": $valor = 195; break;
      case "f": $valor = 52; break;
      case "g": $valor = 42; break;
      case "h": $valor = 32; break;
      case "i": $valor = 111; break;
      case "j": $valor = 12; break;
      case "k": $valor = 2; break;
      case "l": $valor = 91; break;
      case "m": $valor = 81; break;
      case "n": $valor = 71; break;
      case "o": $valor = 533; break;
      case "p": $valor = 51; break;
      case "q": $valor = 41; break;
      case "r": $valor = 31; break;
      case "s": $valor = 21; break;
      case "t": $valor = 99; break;
      case "u": $valor = 311; break;
      case "v": $valor = 90; break;
      case "w": $valor = 10; break;
      case "x": $valor = 30; break;
      case "y": $valor = 40; break;
      case "z": $valor = 50; break;
      case "0": $valor = 1; break; 
      case "1": $valor = 10; break;
      case "2": $valor = 21; break;
      case "3": $valor = 32; break;
      case "4": $valor = 43; break;
      case "5": $valor = 54; break;
      case "6": $valor = 65; break;
      case "7": $valor = 76; break;
      case "8": $valor = 87; break;
      case "9": $valor = 98; break;
      default: $valor = 4; break;
   }
   return ($valor * $pos);
}

function ultimodia($anho,$mes){ 
   if (((fmod($anho,4)==0) and (fmod($anho,100)!=0)) or (fmod($anho,400)==0)) { 
       $dias_febrero = 29; 
   } else { 
       $dias_febrero = 28; 
   } 
   switch($mes) { 
       case 01: return 31; break; 
       case 02: return $dias_febrero; break; 
       case 03: return 31; break; 
       case 04: return 30; break; 
       case 05: return 31; break; 
       case 06: return 30; break; 
       case 07: return 31; break; 
       case 08: return 31; break; 
       case 09: return 30; break; 
       case 10: return 31; break; 
       case 11: return 30; break; 
       case 12: return 31; break; 
   } 
} 
?>
